## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Summary: Cryptographic protocol verifier in the formal model
Name: proverif
Version: 2.04
Release: %autorelease
URL: https://bblanche.gitlabpages.inria.fr/%{name}
License: GPL-2.0-or-later
Source0: %{url}/%{name}%{version}.tar.gz

BuildRequires: glibc
BuildRequires: graphviz
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: m4
BuildRequires: gtk2-devel
BuildRequires: ocaml-lablgtk-devel

%description
ProVerif is an automatic cryptographic protocol verifier, in the formal
model (so called Dolev-Yao model). This protocol verifier is based
on a representation of the protocol by Horn clauses.

%prep
%autosetup -n %{name}%{version}

%build
./build

%check
./test

%install
install -vd                   %{buildroot}%{_bindir}
install -vp proverif          %{buildroot}%{_bindir}/
install -vp proverif_interact %{buildroot}%{_bindir}/
install -vp proveriftotex     %{buildroot}%{_bindir}/

%files
%{_bindir}/proverif
%{_bindir}/proverif_interact
%{_bindir}/proveriftotex
%license LICENSE
%doc README CHANGES

%changelog
* Thu Oct 12 2023 John Doe <packager@example.com> - 2.04-1
- Uncommitted changes
